PORT-RESTORE(1)

NAME
port-restore - Restore snapshots of installed ports.

SYNOPSIS

port [-vdN] restore
    [--snapshot-id id] [--last] [--all]

DESCRIPTION

port restore changes the set of active ports to match the state recorded in a previously created snapshot. All ports are first deactivated, and then each port included in the snapshot is installed or activated as needed, with the requested variants also as set in the snapshot.

OPTIONS

--snapshot-id ID
    Restore the snapshot with the specified ID.

--last
    Restore the last created snapshot.

--all
    Restore all ports in the snapshot including unrequested ones. By default, only requested ports and their dependencies are restored.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

-N
    Non-interactive mode, fail if multiple snapshots exist and a particular snapshot was not specified.

SEE ALSO

port(1), port-snapshot(1), port-migrate(1)

AUTHORS

    (C) 2024 The MacPorts Project
    Joshua Root <jmr@macports.org>